metagentools
================

<!-- WARNING: THIS FILE WAS AUTOGENERATED! DO NOT EDIT! -->

This repo includes the code developed as part of a research project
aiming at using deep learning techniques to classify a wide range of
corona virus based on NG reads.

The code is structured into *general code* and *submodules*:

***General code*** is used across the project and can also be reused for
other projects:

1.  `art`: wrapper code to use ART-ILLUMINA read simulator package from
    a jupyter notebook. MUST BE RUN LOCALLY.
2.  `core`: base classes used accross the package
3.  `wandb`: utility classes to open, retrieve, use WandB runs and
    artifacts accross the project

***Submodules*** cover code written for a specific part of the project

1.  `cnn_virus`: all specific code related to the evaluation and
    improvement of CNN Virus model
    - `architecture`: all code related to evaluated and trained
      architectures
    - `data`: data processing, iterators and parsing functions to handle
      data
    - `utils`: other utility functions

This is a work in progress, and some functions or modules may be broken.
We may or may not be able to provide support depending on the when the
support is requested.

***Installation***:

- `pip install metagentools` for the stable version

- `pip install git+https://github.com/vtecftwy/metagentools.git@main`
  for the latest committed version

***Requirements***:

- python 3.8 or higher is required for this package
- package tested with python 3.10
